Contributing
------------

Our project uses the standard GitHub pull request process for code review and
integration. Please check our [building guide][BUILDING.md] and our
[style guide][STYLE.md] for more details on developing and contributing to the
project. The GitHub issue tracker can be used to report bugs, make feature
requests, etc.

We require that all contributions conform to the
[Developer Certificate of Origin][dco]. In short, when making commits add the
`-s` option to the commit command, this will add the required signed-off-by
line which is verified by a bot when pull requests are submitted. This signifies
your agreement to the terms of contribution outlined in the
[Developer Certificate of Origin][dco].

```
$ git commit -s -v -m 'This is my commit message'
```

  [dco]: https://developercertificate.org/
